trigger:

- master

pool:
  vmImage: 'ubuntu-latest'

steps:

- task: Bash@3
  inputs:
    targetType: 'inline'
    script: 'curl -sSL https://download.sourceclear.com/ci.sh | sh'
  env: 
    SRCCLR_API_TOKEN: $(SRCCLR_API_TOKEN)

- task: Maven@3
  inputs:
    mavenPomFile: 'pom.xml'
    goals: 'clean package'
    publishJUnitResults: false
    javaHomeOption: 'JDKVersion'
    mavenVersionOption: 'Default'
    mavenAuthenticateFeed: false
    effectivePomSkip: false
    sonarQubeRunAnalysis: false

# - task: Bash@3
#   inputs:
#     targetType: 'inline'
#     script: |
#       curl -O https://downloads.veracode.com/securityscan/pipeline-scan-LATEST.zip
#       unzip pipeline-scan-LATEST.zip -d pipeline-scan-LATEST
#       java -jar "pipeline-scan-LATEST/pipeline-scan.jar" -vid $(VERACODE_API_KEY_ID) -vkey $(VERACODE_API_KEY_SECRET) --file "target/verainsecure.war" --fail_on_severity="Very High, High" --fail_on_cwe="80" 
